summaryrefslogtreecommitdiff
path: root/gnu/dist/gettext/gettext-tools/tests/xgettext-python-2
diff options
context:
space:
mode:
authorchristos <christos@NetBSD.org>2005-04-29 15:05:03 +0000
committerchristos <christos@NetBSD.org>2005-04-29 15:05:03 +0000
commite770a46755c75e4364863231cbfdf0f8011ce123 (patch)
tree3210fd527fdd42504ad2ccf38cefaffbbca680de /gnu/dist/gettext/gettext-tools/tests/xgettext-python-2
parentfd90a881be576b95b45b1ca8323616a346d9cbe7 (diff)
ftp ftp.gnu.org
Diffstat (limited to 'gnu/dist/gettext/gettext-tools/tests/xgettext-python-2')
-rw-r--r--gnu/dist/gettext/gettext-tools/tests/xgettext-python-261
1 files changed, 61 insertions, 0 deletions
diff --git a/gnu/dist/gettext/gettext-tools/tests/xgettext-python-2 b/gnu/dist/gettext/gettext-tools/tests/xgettext-python-2
new file mode 100644
index 00000000000..88d9b9d5b20
--- /dev/null
+++ b/gnu/dist/gettext/gettext-tools/tests/xgettext-python-2
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Test Python support: --add-comments option.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles xg-py-2.py"
+cat <<EOF > xg-py-2.py
+# This comment will not be extracted.
+print gettext.gettext("help")
+# TRANSLATORS: This is an extracted comment.
+print gettext.gettext("me")
+# Not extracted either.
+print gettext.gettext("Hey Jude")
+# TRANSLATORS:
+# Nickname of the Beatles
+print gettext.gettext("The Fabulous Four")
+# TRANSLATORS: The strings get concatenated.
+print gettext.gettext("there is not enough"
+" room on a single line for this entire long, " # confusing, eh?
+"verbose string")
+EOF
+
+tmpfiles="$tmpfiles xg-py-2.po"
+: ${XGETTEXT=xgettext}
+${XGETTEXT} --omit-header --no-location --add-comments=TRANSLATORS: \
+ xg-py-2.py -d xg-py-2
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles xg-py-2.ok"
+cat <<EOF > xg-py-2.ok
+msgid "help"
+msgstr ""
+
+#. TRANSLATORS: This is an extracted comment.
+msgid "me"
+msgstr ""
+
+msgid "Hey Jude"
+msgstr ""
+
+#. TRANSLATORS:
+#. Nickname of the Beatles
+msgid "The Fabulous Four"
+msgstr ""
+
+#. TRANSLATORS: The strings get concatenated.
+msgid ""
+"there is not enough room on a single line for this entire long, verbose "
+"string"
+msgstr ""
+EOF
+
+: ${DIFF=diff}
+${DIFF} xg-py-2.ok xg-py-2.po
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result